jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jukka Zitting (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (JCR-1882) Avoid ${project.version} in dependencies
Date Fri, 28 Nov 2008 12:39:44 GMT

     [ https://issues.apache.org/jira/browse/JCR-1882?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jukka Zitting resolved JCR-1882.
--------------------------------

    Resolution: Fixed

Resolving in both trunk and the 1.5 branch.

> Avoid ${project.version} in dependencies
> ----------------------------------------
>
>                 Key: JCR-1882
>                 URL: https://issues.apache.org/jira/browse/JCR-1882
>             Project: Jackrabbit
>          Issue Type: Improvement
>          Components: maven
>            Reporter: Jukka Zitting
>            Assignee: Jukka Zitting
>             Fix For: 1.5.0
>
>
> Another one for Jackrabbit 1.5, we should avoid using ${project.version} for our dependencies
and override the versions of any transitive dependencies that use ${project.version} (notably
the Jetty dependencies in jackrabbit-standalone) to avoid problems with Maven < 2.0.9 caused
by MNG-2339 [1].
> [1] http://jira.codehaus.org/browse/MNG-2339

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message